package modules

import (
	service "cls/internal/application/purchase"
	repo "cls/internal/infrastructure/persistence/purchase"
	"cls/internal/interfaces"
	"cls/internal/interfaces/purchase"
	"go.uber.org/fx"
)

var PurchaseModule = fx.Module("PurchaseModule",
	fx.Provide(
		interfaces.AsHandler(purchase.NewPurchaseHandler),
		service.NewService,
		repo.NewPurchaseRepositoryORM,
	))
