package modules

import (
	service "cls/internal/application/user"
	repo "cls/internal/infrastructure/persistence/user"
	"cls/internal/interfaces"
	"cls/internal/interfaces/user"
	"go.uber.org/fx"
)

var UserModule = fx.Module("UserModule",
	fx.Provide(
		interfaces.AsHandler(user.NewUserHandler),
	),
	fx.Provide(
		service.NewUserService,
		repo.NewUserRepositoryORM,
	),
)
